Subject: Re: [Idr] WG LC on draft-ietf-idr-bgp-flowspec-oid-10.txt [8/9 to 8/24/2019]

From: "Susan Hares" <[email-masked]>
Date: Thu, 12 Sep 2019 05:31:46 -0400

This WG LC has concluded on 8/24/2019 and the 
WG has not reached consensus.   

The feedback from the shepherd and the 
people who commented on the list is that
technology is needed but that the text needs to 
be revised for clarity and alignment with 
RFC5575bis.  The authors should revise the draft 
and request another WG LC. 

The IDR WG has indicated in discussions that RFC5575bis 
should simply clarify errors in RFC5575.   The authors 
have adhered to the WG direction. 

Jim Uttaro pointed out during the WG LC on 
draft-ietf-idr-bgp-flowspec-oid-10.txt 
that this may cause sub-optimal results for some operators 
deploying flow specification who need the RFC5575bis 
changes and the changes in draft-ietf-bgp-flowspec-oid-10.txt. 

This sub-optimal result is the downside of the WG decision to 
limit RFC5575bis to just corrections. The upside is that 
the RFC5575bis forms an error free basis to make changes. 

Sue Hares 
(shepherd and co-chair) 

-----Original Message-----
From: Jeffrey Haas [mailto:[email-masked]] 
Sent: Friday, August 23, 2019 1:09 PM
To: Susan Hares
Cc: 'idr wg'
Subject: Re: [Idr] WG LC on draft-ietf-idr-bgp-flowspec-oid-10.txt [8/9 to
8/24/2019]

Sue,

On Fri, Aug 09, 2019 at 10:55:21AM -0400, Susan Hares wrote:
> This begins a 2 week WG LC for draft-ietf-idr-bgp-flowspec-oid-10.txt 
> [8/9 to 8/24/2019]
> 
> In your comments, please consider: 
> 
> 1) including "support" or "no support"

I don't support publication at this time.

The document has all of the right procedures in it.  I believe at least two
implementations can support it.  However, the document has the mark of
having been incrementally edited over a long period of time and is difficult
to follow in some cases.

So, the technical content is right, but it needs cleanup.

I'll endeavor to send comments on this in detail hopefully soon.

> 2) if this addition to RFC5575bis which allows a route controller in 
> an AS to originate Flow Specifications is useful in deployments, and

It is deployed and in many cases is the recommended deployment model for
flowspec.

> 3) if there are any technical issues or editorial Issues that need to 
> be adjusted in this specification
> prior to publication.    
> 
> If you think adjustments need to be made in the text, Indicate whether 
> you think the adjustments are Technical or editorial in nature.

See above.

-- Jeff